> For the complete documentation index, see [llms.txt](https://docs.partner.aboutyou.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.partner.aboutyou.com/api/webhooks/product-status-update-webhook.md).

# Product Status Update Webhook

## Product Master Status Updated Webhook

> This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\
> to webhook subscribers when a product\_master.status\_updated event occurs.\
> \
> The actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\
> that are subscribed to the product\_master.status\_updated event type.\
> \
> The webhook payload includes:\
> \- id: ID of the webhook message\
> \- event: The event type (product\_master.status\_updated)\
> \- timestamp: When the event occurred\
> \- subscription\_id: ID of the webhook subscription\
> \- message: The product master data with status and rejection information

```json
{"openapi":"3.1.0","info":{"title":"Sellers Center API","version":"1.0.0"},"security":[{"APIKeyAuth":[]}],"components":{"securitySchemes":{"APIKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}},"schemas":{"ProductMasterStatusUpdatedWebhookMessageSchema":{"properties":{"id":{"description":"ID of the webhook message","minimum":1,"title":"Id","type":"integer"},"event":{"const":"product_master.status_updated","description":"Event type of webhook message","title":"Event","type":"string"},"timestamp":{"description":"UTC timestamp when the event was created","format":"date-time","title":"Timestamp","type":"string"},"message":{"$ref":"#/components/schemas/GetProductMasterSchema","description":"Product master payload of the triggered event"},"subscription_id":{"anyOf":[{"description":"ID (integer) of this property","minimum":1,"type":"integer"},{"type":"null"}],"description":"ID of the subscription","title":"Subscription Id"}},"required":["id","event","message"],"title":"ProductMasterStatusUpdatedWebhookMessageSchema","type":"object"},"GetProductMasterSchema":{"properties":{"external_reference_key":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Style key of the product master","title":"External Reference Key"},"status":{"description":"Current status of the product master","title":"Status","type":"string"},"rejection_reasons":{"anyOf":[{"items":{"$ref":"#/components/schemas/RejectionReasonSchema"},"type":"array"},{"type":"null"}],"description":"Rejection reasons if the product master is rejected","title":"Rejection Reasons"},"rejection_message":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Rejection message if the product master is rejected","title":"Rejection Message"},"rejected_product_ids_hint":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"description":"Hint about which products are affected by rejection","title":"Rejected Product Ids Hint"}},"required":["status"],"title":"GetProductMasterSchema","type":"object"},"RejectionReasonSchema":{"properties":{"key":{"maxLength":255,"title":"Key","type":"string"},"type":{"maxLength":255,"title":"Type","type":"string"},"name":{"maxLength":255,"title":"Name","type":"string"},"description":{"title":"Description","type":"string"}},"required":["key","type","name","description"],"title":"RejectionReasonSchema","type":"object"}}},"paths":{"/api/v1/webhooks/product-master-status-updated":{"post":{"operationId":"scapi_app_endpoints_webhook_api_product_master_status_updated_webhook","summary":"Product Master Status Updated Webhook","parameters":[],"responses":{"200":{"description":"OK"}},"description":"This is a dummy endpoint that demonstrates the webhook payload structure that will be sent\nto webhook subscribers when a product_master.status_updated event occurs.\n\nThe actual webhooks will be sent asynchronously to the URLs specified in the webhook subscriptions\nthat are subscribed to the product_master.status_updated event type.\n\nThe webhook payload includes:\n- id: ID of the webhook message\n- event: The event type (product_master.status_updated)\n- timestamp: When the event occurred\n- subscription_id: ID of the webhook subscription\n- message: The product master data with status and rejection information","tags":["Webhook Messages"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductMasterStatusUpdatedWebhookMessageSchema"}}},"required":true}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.partner.aboutyou.com/api/webhooks/product-status-update-webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
